import { BuilderConfig } from '../../types/builder-config';
import { GenerateTypeParams } from '../../types/generate';
export declare function getBuilderConfigs({ data, tag, resolver }: GenerateTypeParams): {
    configs: never[];
    hasZodImport?: undefined;
    modelsImports?: undefined;
    queriesImports?: undefined;
    aclImports?: undefined;
} | {
    configs: BuilderConfig[];
    hasZodImport: boolean;
    modelsImports: import('../../types/generate').Import[];
    queriesImports: import('../../types/generate').Import[];
    aclImports: import('../../types/generate').Import[];
};
